# This file created by conda-build 3.18.10
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/cffi-1.13.0-python_3.7-on-linux_64, last modified Tue Oct 22 14:54:10 2019
# ------------------------------------------------

package:
    name: cffi
    version: 1.13.0
source:
    patches:
        - 0001-Link-to-dl-library.patch
        - setup-linux.patch
    sha256: 8fe230f612c18af1df6f348d02d682fe2c28ca0a6c3856c99599cdacae7cf226
    url: https://pypi.io/packages/source/c/cffi/cffi-1.13.0.tar.gz
build:
    number: '0'
    script: /tmp/build/80754af9/cffi_1571756383434/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
        -m pip install . --no-deps -vv
    string: py37h2e261b9_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py37_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1d h7b6447c_3
        - pip 19.3.1 py37_0
        - pycparser 2.19 py37_0
        - python 3.7.4 h265db76_1
        - readline 7.0 h7b6447c_5
        - setuptools 41.4.0 py37_0
        - sqlite 3.30.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.33.6 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - libffi >=3.2.1,<4.0a0
        - libgcc-ng >=7.3.0
        - pycparser
        - python >=3.7,<3.8.0a0
test:
    imports:
        - _cffi_backend
        - cffi
    requires:
        - openssl
about:
    description: 'Cffi aims to allow users to call C code from Python without having
        to

        learn a 3rd language. It provides a convenient and reliable way to call

        compiled C code from Python using interface declarations written in C.

        '
    dev_url: https://bitbucket.org/cffi/cffi/overview
    doc_source_url: https://bitbucket.org/cffi/cffi/src/default/doc/?at=default
    doc_url: http://cffi.readthedocs.org
    home: https://bitbucket.org/cffi/cffi
    license: MIT
    license_file: LICENSE
    summary: Foreign Function Interface for Python calling C code.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - goanpeca
        - inducer
        - mingwandroid
        - ocefpaf
